Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.model
Interface FrameFactory

All Known Implementing Classes:
  DefaultFrameFactory

    public interface FrameFactory

Author:
  Ray Fergerson

Method Summary
`void` | `addJavaPackage(String packageName)`
`Cls` | `createCls(FrameID id, Collection directTypes)`
`Facet` | `createFacet(FrameID id, Collection directTypes)`
`Frame` | `createFrameFromClassId(int javaClassId, FrameID id)`
`SimpleInstance` | `createSimpleInstance(FrameID id, Collection directTypes)`
`Slot` | `createSlot(FrameID id, Collection directTypes)`
`Collection` | `getClsJavaClassIds()`
`Collection` | `getFacetJavaClassIds()`
`int` | `getJavaClassId(Frame value)`
`Collection` | `getSimpleInstanceJavaClassIds()`
`Collection` | `getSlotJavaClassIds()`
`boolean` | `isCorrectJavaImplementationClass(FrameID id, Collection directTypes, Class clas)`
`void` | `removeJavaPackage(String packageName)`
`Frame` | `rename(Frame original, String name)`

Method Detail

### addJavaPackage

    void addJavaPackage(String packageName)

### removeJavaPackage

    void removeJavaPackage(String packageName)

### createCls

    Cls createCls(FrameID id,
                  Collection directTypes)

### createSlot

    Slot createSlot(FrameID id,
                    Collection directTypes)

### createFacet

    Facet createFacet(FrameID id,
                      Collection directTypes)

### createSimpleInstance

    SimpleInstance createSimpleInstance(FrameID id,
                                        Collection directTypes)

### isCorrectJavaImplementationClass

    boolean isCorrectJavaImplementationClass(FrameID id,
                                             Collection directTypes,
                                             Class clas)

### getJavaClassId

    int getJavaClassId(Frame value)

  Returns:
    integer to map this frame to a Java class. This integer may then be passed in later to the createFrameFromClassId method

### createFrameFromClassId

    Frame createFrameFromClassId(int javaClassId,
                                 FrameID id)

  Returns:
    frame appropriate for this java class id.

### getClsJavaClassIds

    Collection getClsJavaClassIds()

  Returns:
    all java class ids which correspond to classes. The collection contains java.lang.Integer objects.

### getSlotJavaClassIds

    Collection getSlotJavaClassIds()

  Returns:
    all java class ids which correspond to slots

### getFacetJavaClassIds

    Collection getFacetJavaClassIds()

  Returns:
    all java class ids which correspond to facets

### getSimpleInstanceJavaClassIds

    Collection getSimpleInstanceJavaClassIds()

  Returns:
    all java class ids which correspond to simple instances

### rename

    Frame rename(Frame original,
                 String name)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.